"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.installHugo = void 0;
const BinWrapper = require("bin-wrapper");
const del = require("del");
const path = require("path");
async function installHugo(version, destination) {
    const destinationPath = path.resolve(process.cwd(), destination);
    const githubReleaseUrl = `https://github.com/gohugoio/hugo/releases/download/v${version}/`;
    await del(path.join(destinationPath, '**'));
    await new BinWrapper()
        .src(`${githubReleaseUrl}hugo_${version}_Windows-64bit.zip`, 'win32', 'x64')
        .src(`${githubReleaseUrl}hugo_${version}_Windows-32bit.zip`, 'win32', 'x86')
        .src(`${githubReleaseUrl}hugo_${version}_Linux-64bit.tar.gz`, 'linux', 'x64')
        .src(`${githubReleaseUrl}hugo_${version}_Linux-32bit.tar.gz`, 'linux', 'x86')
        .src(`${githubReleaseUrl}hugo_${version}_macOS-64bit.tar.gz`, 'darwin', 'x64')
        .src(`${githubReleaseUrl}hugo_${version}_macOS-32bit.tar.gz`, 'darwin', 'x86')
        .dest(destinationPath)
        .download();
}
exports.installHugo = installHugo;
//# sourceMappingURL=index.js.map